/api/v1/dataset-item-blocks
const url = 'https://api.endless.zaia.app/api/v1/dataset-item-blocks?datasetId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0&mode=semantic&operator=ilike&pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/dataset-item-blocks?datasetId=2489E9AD-2EE2-8E00-8EC9-32D5F69181C0&mode=semantic&operator=ilike&pageNumber=1&pageSize=10'Retrieves multiple dataset item blocks.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
The page number.
The page number.
The page size.
The page size.
Responses
Seção intitulada “Responses”Retrieves all dataset item blocks for the specified dataset.
object
A UUID v4 string that identifies an entity.
The content stored in the dataset item block.
The dataset item ID associated with the block.
The display name of the dataset item block.
Examplegenerated
[ { "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "content": "example", "datasetItemId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example" }]Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Dataset not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}